# Uses of Class
org.codehaus.janino.MethodDescriptor

Packages that use MethodDescriptor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of MethodDescriptor in org.codehaus.janino

Methods in org.codehaus.janino that return MethodDescriptor
Modifier and Type
Method
Description
`final MethodDescriptor`
IClass.IInvocable.`getDescriptor()`
Returns the method descriptor of this constructor or method.
`MethodDescriptor`
IClass.IConstructor.`getDescriptor2()`
`abstract MethodDescriptor`
IClass.IInvocable.`getDescriptor2()`
Uncached implementation of `IClass.IInvocable.getDescriptor()`.
`MethodDescriptor`
IClass.IMethod.`getDescriptor2()`
`MethodDescriptor`
MethodDescriptor.`prependParameter(String parameterFd)`

## Uses of MethodDescriptor in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type MethodDescriptor
Modifier and Type
Method
Description
`ClassFile.MethodInfo`
ClassFile.`addMethodInfo(short accessFlags, String methodName, MethodDescriptor methodMd)`
Creates a `ClassFile.MethodInfo` and adds it to this class.